Index: data/trunk/gui/looknfeel/TaharezGreenLook.looknfeel
===================================================================
--- data/trunk/gui/looknfeel/TaharezGreenLook.looknfeel	(revision 6570)
+++ data/trunk/gui/looknfeel/TaharezGreenLook.looknfeel	(revision 6573)
@@ -3782,7 +3782,7 @@
                     <FontDim type="HorzExtent">
                         <DimOperator op="Add">
-                            <ImageDim imageset="TaharezLook" image="MenuLeft" dimension="Width">
+                            <ImageDim imageset="TaharezGreenLook" image="MenuLeft" dimension="Width">
                                 <DimOperator op="Add">
-                                    <ImageDim imageset="TaharezLook" image="MenuRight" dimension="Width" />
+                                    <ImageDim imageset="TaharezGreenLook" image="MenuRight" dimension="Width" />
                                 </DimOperator>
                             </ImageDim>
@@ -3793,7 +3793,7 @@
                     <FontDim type="LineSpacing">
                         <DimOperator op="Add">
-                            <ImageDim imageset="TaharezLook" image="MenuTop" dimension="Height">
+                            <ImageDim imageset="TaharezGreenLook" image="MenuTop" dimension="Height">
                                 <DimOperator op="Add">
-                                    <ImageDim imageset="TaharezLook" image="MenuBottom" dimension="Height" />
+                                    <ImageDim imageset="TaharezGreenLook" image="MenuBottom" dimension="Height" />
                                 </DimOperator>
                             </ImageDim>
@@ -3810,9 +3810,9 @@
                     <FontDim type="HorzExtent">
                         <DimOperator op="Add">
-                            <ImageDim imageset="TaharezLook" image="MenuLeft" dimension="Width">
+                            <ImageDim imageset="TaharezGreenLook" image="MenuLeft" dimension="Width">
                                 <DimOperator op="Add">
-                                    <ImageDim imageset="TaharezLook" image="MenuRight" dimension="Width">
+                                    <ImageDim imageset="TaharezGreenLook" image="MenuRight" dimension="Width">
                                         <DimOperator op="Add">
-                                            <ImageDim imageset="TaharezLook" image="PopupMenuArrowLeft" dimension="Width">
+                                            <ImageDim imageset="TaharezGreenLook" image="PopupMenuArrowLeft" dimension="Width">
                                                 <DimOperator op="Multiply">
                                                     <AbsoluteDim value="3" />
@@ -3829,7 +3829,7 @@
                     <FontDim type="LineSpacing">
                         <DimOperator op="Add">
-                            <ImageDim imageset="TaharezLook" image="MenuTop" dimension="Height">
+                            <ImageDim imageset="TaharezGreenLook" image="MenuTop" dimension="Height">
                                 <DimOperator op="Add">
-                                    <ImageDim imageset="TaharezLook" image="MenuBottom" dimension="Height" />
+                                    <ImageDim imageset="TaharezGreenLook" image="MenuBottom" dimension="Height" />
                                 </DimOperator>
                             </ImageDim>
@@ -3842,10 +3842,10 @@
             <TextComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><ImageDim imageset="TaharezLook" image="MenuLeft" dimension="Width" /></Dim>
-                    <Dim type="TopEdge" ><ImageDim imageset="TaharezLook" image="MenuTop" dimension="Height" /></Dim>
+                    <Dim type="LeftEdge" ><ImageDim imageset="TaharezGreenLook" image="MenuLeft" dimension="Width" /></Dim>
+                    <Dim type="TopEdge" ><ImageDim imageset="TaharezGreenLook" image="MenuTop" dimension="Height" /></Dim>
                     <Dim type="RightEdge" >
                         <UnifiedDim scale="1" type="RightEdge">
                             <DimOperator op="Subtract">
-                                <ImageDim imageset="TaharezLook" image="MenuRight" dimension="Width" />
+                                <ImageDim imageset="TaharezGreenLook" image="MenuRight" dimension="Width" />
                             </DimOperator>
                         </UnifiedDim>
@@ -3854,5 +3854,5 @@
                         <UnifiedDim scale="1" type="BottomEdge">
                             <DimOperator op="Subtract">
-                                <ImageDim imageset="TaharezLook" image="MenuBottom" dimension="Height" />
+                                <ImageDim imageset="TaharezGreenLook" image="MenuBottom" dimension="Height" />
                             </DimOperator>
                         </UnifiedDim>
@@ -3871,13 +3871,13 @@
                     <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
                 </Area>
-                <Image type="TopLeftCorner" imageset="TaharezLook" image="MenuTopLeft" />
-                <Image type="TopRightCorner" imageset="TaharezLook" image="MenuTopRight" />
-                <Image type="BottomLeftCorner" imageset="TaharezLook" image="MenuBottomLeft" />
-                <Image type="BottomRightCorner" imageset="TaharezLook" image="MenuBottomRight" />
-                <Image type="LeftEdge" imageset="TaharezLook" image="MenuLeft" />
-                <Image type="RightEdge" imageset="TaharezLook" image="MenuRight" />
-                <Image type="TopEdge" imageset="TaharezLook" image="MenuTop" />
-                <Image type="BottomEdge" imageset="TaharezLook" image="MenuBottom" />
-                <Image type="Background" imageset="TaharezLook" image="MenuMiddle" />
+                <Image type="TopLeftCorner" imageset="TaharezGreenLook" image="MenuTopLeft" />
+                <Image type="TopRightCorner" imageset="TaharezGreenLook" image="MenuTopRight" />
+                <Image type="BottomLeftCorner" imageset="TaharezGreenLook" image="MenuBottomLeft" />
+                <Image type="BottomRightCorner" imageset="TaharezGreenLook" image="MenuBottomRight" />
+                <Image type="LeftEdge" imageset="TaharezGreenLook" image="MenuLeft" />
+                <Image type="RightEdge" imageset="TaharezGreenLook" image="MenuRight" />
+                <Image type="TopEdge" imageset="TaharezGreenLook" image="MenuTop" />
+                <Image type="BottomEdge" imageset="TaharezGreenLook" image="MenuBottom" />
+                <Image type="Background" imageset="TaharezGreenLook" image="MenuMiddle" />
             </FrameComponent>
         </ImagerySection>
@@ -3890,5 +3890,5 @@
                         <UnifiedDim scale="1" type="Width">
                             <DimOperator op="Subtract">
-                                <ImageDim imageset="TaharezLook" image="PopupMenuArrowRight" dimension="Width" />
+                                <ImageDim imageset="TaharezGreenLook" image="PopupMenuArrowRight" dimension="Width" />
                             </DimOperator>
                         </UnifiedDim>
@@ -3896,5 +3896,5 @@
                     <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
                 </Area>
-                <Image imageset="TaharezLook" image="PopupMenuArrowRight" />
+                <Image imageset="TaharezGreenLook" image="PopupMenuArrowRight" />
                 <VertFormat type="CentreAligned" />
                 <HorzFormat type="RightAligned" />
@@ -3909,5 +3909,5 @@
                         <UnifiedDim scale="1" type="Width">
                             <DimOperator op="Subtract">
-                                <ImageDim imageset="TaharezLook" image="PopupMenuArrowLeft" dimension="Width" />
+                                <ImageDim imageset="TaharezGreenLook" image="PopupMenuArrowLeft" dimension="Width" />
                             </DimOperator>
                         </UnifiedDim>
@@ -3915,5 +3915,5 @@
                     <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
                 </Area>
-                <Image imageset="TaharezLook" image="PopupMenuArrowLeft" />
+                <Image imageset="TaharezGreenLook" image="PopupMenuArrowLeft" />
                 <VertFormat type="CentreAligned" />
                 <HorzFormat type="RightAligned" />
@@ -4008,8 +4008,8 @@
     <!--
     ***************************************************
-        TaharezLook/PopupMenu
+        TaharezGreenLook/PopupMenu
     ***************************************************
     -->
-    <WidgetLook name="TaharezLook/PopupMenu">
+    <WidgetLook name="TaharezGreenLook/PopupMenu">
         <PropertyDefinition name="BackgroundColours" initialValue="tl:FFFFFFFF tr:FFFFFFFF bl:FFFFFFFF br:FFFFFFFF" redrawOnWrite="true" />
         <PropertyDefinition name="BorderWidth" initialValue="0" layoutOnWrite="true" />
@@ -4017,5 +4017,5 @@
             <Area>
                 <Dim type="LeftEdge" >
-                    <ImageDim imageset="TaharezLook" image="PopupMenuFrameLeft" dimension="Width">
+                    <ImageDim imageset="TaharezGreenLook" image="PopupMenuFrameLeft" dimension="Width">
                         <DimOperator op="Add">
                             <PropertyDim name="BorderWidth" />
@@ -4024,5 +4024,5 @@
                 </Dim>
                 <Dim type="TopEdge" >
-                    <ImageDim imageset="TaharezLook" image="PopupMenuFrameTop" dimension="Height">
+                    <ImageDim imageset="TaharezGreenLook" image="PopupMenuFrameTop" dimension="Height">
                         <DimOperator op="Add">
                             <PropertyDim name="BorderWidth" />
@@ -4033,5 +4033,5 @@
                     <UnifiedDim scale="1" type="RightEdge">
                         <DimOperator op="Subtract">
-                            <ImageDim imageset="TaharezLook" image="PopupMenuFrameRight" dimension="Width">
+                            <ImageDim imageset="TaharezGreenLook" image="PopupMenuFrameRight" dimension="Width">
                                 <DimOperator op="Add">
                                     <PropertyDim name="BorderWidth" />
@@ -4044,5 +4044,5 @@
                     <UnifiedDim scale="1" type="BottomEdge">
                         <DimOperator op="Subtract">
-                            <ImageDim imageset="TaharezLook" image="PopupMenuFrameBottom" dimension="Height">
+                            <ImageDim imageset="TaharezGreenLook" image="PopupMenuFrameBottom" dimension="Height">
                                 <DimOperator op="Add">
                                     <PropertyDim name="BorderWidth" />
@@ -4062,13 +4062,13 @@
                     <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
                 </Area>
-                <Image type="TopLeftCorner" imageset="TaharezLook" image="PopupMenuFrameTopLeft" />
-                <Image type="TopRightCorner" imageset="TaharezLook" image="PopupMenuFrameTopRight" />
-                <Image type="BottomLeftCorner" imageset="TaharezLook" image="PopupMenuFrameBottomLeft" />
-                <Image type="BottomRightCorner" imageset="TaharezLook" image="PopupMenuFrameBottomRight" />
-                <Image type="LeftEdge" imageset="TaharezLook" image="PopupMenuFrameLeft" />
-                <Image type="RightEdge" imageset="TaharezLook" image="PopupMenuFrameRight" />
-                <Image type="TopEdge" imageset="TaharezLook" image="PopupMenuFrameTop" />
-                <Image type="BottomEdge" imageset="TaharezLook" image="PopupMenuFrameBottom" />
-                <Image type="Background" imageset="TaharezLook" image="PopupMenuMiddle" />
+                <Image type="TopLeftCorner" imageset="TaharezGreenLook" image="PopupMenuFrameTopLeft" />
+                <Image type="TopRightCorner" imageset="TaharezGreenLook" image="PopupMenuFrameTopRight" />
+                <Image type="BottomLeftCorner" imageset="TaharezGreenLook" image="PopupMenuFrameBottomLeft" />
+                <Image type="BottomRightCorner" imageset="TaharezGreenLook" image="PopupMenuFrameBottomRight" />
+                <Image type="LeftEdge" imageset="TaharezGreenLook" image="PopupMenuFrameLeft" />
+                <Image type="RightEdge" imageset="TaharezGreenLook" image="PopupMenuFrameRight" />
+                <Image type="TopEdge" imageset="TaharezGreenLook" image="PopupMenuFrameTop" />
+                <Image type="BottomEdge" imageset="TaharezGreenLook" image="PopupMenuFrameBottom" />
+                <Image type="Background" imageset="TaharezGreenLook" image="PopupMenuMiddle" />
             </FrameComponent>
         </ImagerySection>
@@ -4092,8 +4092,8 @@
     <!--
     ***************************************************
-        TaharezLook/Menubar
+        TaharezGreenLook/Menubar
     ***************************************************
     -->
-    <WidgetLook name="TaharezLook/Menubar">
+    <WidgetLook name="TaharezGreenLook/Menubar">
         <PropertyDefinition name="BackgroundColours" initialValue="tl:FFFFFFFF tr:FFFFFFFF bl:FFFFFFFF br:FFFFFFFF" redrawOnWrite="true" />
         <PropertyDefinition name="BorderWidth" initialValue="5" layoutOnWrite="true" />
@@ -4101,5 +4101,5 @@
             <Area>
                 <Dim type="LeftEdge" >
-                    <ImageDim imageset="TaharezLook" image="PopupMenuFrameLeft" dimension="Width">
+                    <ImageDim imageset="TaharezGreenLook" image="PopupMenuFrameLeft" dimension="Width">
                         <DimOperator op="Add">
                             <PropertyDim name="BorderWidth" />
@@ -4108,5 +4108,5 @@
                 </Dim>
                 <Dim type="TopEdge" >
-                    <ImageDim imageset="TaharezLook" image="PopupMenuFrameTop" dimension="Height">
+                    <ImageDim imageset="TaharezGreenLook" image="PopupMenuFrameTop" dimension="Height">
                         <DimOperator op="Add">
                             <PropertyDim name="BorderWidth" />
@@ -4117,5 +4117,5 @@
                     <UnifiedDim scale="1" type="RightEdge">
                         <DimOperator op="Subtract">
-                            <ImageDim imageset="TaharezLook" image="PopupMenuFrameRight" dimension="Width">
+                            <ImageDim imageset="TaharezGreenLook" image="PopupMenuFrameRight" dimension="Width">
                                 <DimOperator op="Add">
                                     <PropertyDim name="BorderWidth" />
@@ -4128,5 +4128,5 @@
                     <UnifiedDim scale="1" type="BottomEdge">
                         <DimOperator op="Subtract">
-                            <ImageDim imageset="TaharezLook" image="PopupMenuFrameBottom" dimension="Height">
+                            <ImageDim imageset="TaharezGreenLook" image="PopupMenuFrameBottom" dimension="Height">
                                 <DimOperator op="Add">
                                     <PropertyDim name="BorderWidth" />
@@ -4146,13 +4146,13 @@
                     <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
                 </Area>
-                <Image type="TopLeftCorner" imageset="TaharezLook" image="PopupMenuFrameTopLeft" />
-                <Image type="TopRightCorner" imageset="TaharezLook" image="PopupMenuFrameTopRight" />
-                <Image type="BottomLeftCorner" imageset="TaharezLook" image="PopupMenuFrameBottomLeft" />
-                <Image type="BottomRightCorner" imageset="TaharezLook" image="PopupMenuFrameBottomRight" />
-                <Image type="LeftEdge" imageset="TaharezLook" image="PopupMenuFrameLeft" />
-                <Image type="RightEdge" imageset="TaharezLook" image="PopupMenuFrameRight" />
-                <Image type="TopEdge" imageset="TaharezLook" image="PopupMenuFrameTop" />
-                <Image type="BottomEdge" imageset="TaharezLook" image="PopupMenuFrameBottom" />
-                <Image type="Background" imageset="TaharezLook" image="PopupMenuMiddle" />
+                <Image type="TopLeftCorner" imageset="TaharezGreenLook" image="PopupMenuFrameTopLeft" />
+                <Image type="TopRightCorner" imageset="TaharezGreenLook" image="PopupMenuFrameTopRight" />
+                <Image type="BottomLeftCorner" imageset="TaharezGreenLook" image="PopupMenuFrameBottomLeft" />
+                <Image type="BottomRightCorner" imageset="TaharezGreenLook" image="PopupMenuFrameBottomRight" />
+                <Image type="LeftEdge" imageset="TaharezGreenLook" image="PopupMenuFrameLeft" />
+                <Image type="RightEdge" imageset="TaharezGreenLook" image="PopupMenuFrameRight" />
+                <Image type="TopEdge" imageset="TaharezGreenLook" image="PopupMenuFrameTop" />
+                <Image type="BottomEdge" imageset="TaharezGreenLook" image="PopupMenuFrameBottom" />
+                <Image type="Background" imageset="TaharezGreenLook" image="PopupMenuMiddle" />
             </FrameComponent>
         </ImagerySection>
@@ -4175,8 +4175,8 @@
     <!--
     ***************************************************
-        TaharezLook/LargeVerticalScrollbarThumb
+        TaharezGreenLook/LargeVerticalScrollbarThumb
     ***************************************************
     -->
-    <WidgetLook name="TaharezLook/LargeVerticalScrollbarThumb">
+    <WidgetLook name="TaharezGreenLook/LargeVerticalScrollbarThumb">
         <Property name="VertFree" value="True" />
         <ImagerySection name="normal">
@@ -4188,5 +4188,5 @@
                     <Dim type="Height" ><UnifiedDim scale="1.0" type="Height" /></Dim>
                 </Area>
-                <Image imageset="TaharezLook" image="VertScrollThumbNormal" />
+                <Image imageset="TaharezGreenLook" image="VertScrollThumbNormal" />
                 <VertFormat type="Stretched" />
                 <HorzFormat type="Stretched" />
@@ -4201,5 +4201,5 @@
                     <Dim type="Height" ><UnifiedDim scale="1.0" type="Height" /></Dim>
                 </Area>
-                <Image imageset="TaharezLook" image="VertScrollThumbHover" />
+                <Image imageset="TaharezGreenLook" image="VertScrollThumbHover" />
                 <VertFormat type="Stretched" />
                 <HorzFormat type="Stretched" />
@@ -4232,8 +4232,8 @@
     <!--
     ***************************************************
-        TaharezLook/LargeVerticalScrollbar
+        TaharezGreenLook/LargeVerticalScrollbar
     ***************************************************
     -->
-    <WidgetLook name="TaharezLook/LargeVerticalScrollbar">
+    <WidgetLook name="TaharezGreenLook/LargeVerticalScrollbar">
         <Property name="VerticalScrollbar" value="True" />
         <NamedArea name="ThumbTrackArea">
@@ -4243,5 +4243,5 @@
                     <WidgetDim widget="__auto_decbtn__" dimension="Height">
                         <DimOperator op="Add">
-                            <ImageDim imageset="TaharezLook" image="VertScrollTop" dimension="Height">
+                            <ImageDim imageset="TaharezGreenLook" image="VertScrollTop" dimension="Height">
                                 <DimOperator op="Multiply">
                                     <AbsoluteDim value="0.5" />
@@ -4257,5 +4257,5 @@
                             <WidgetDim widget="__auto_decbtn__" dimension="Height">
                                 <DimOperator op="Add">
-                                    <ImageDim imageset="TaharezLook" image="VertScrollTop" dimension="Height">
+                                    <ImageDim imageset="TaharezGreenLook" image="VertScrollTop" dimension="Height">
                                         <DimOperator op="Multiply">
                                             <AbsoluteDim value="0.5" />
@@ -4269,5 +4269,5 @@
             </Area>
         </NamedArea>
-        <Child  type="TaharezLook/ImageButton" nameSuffix="__auto_incbtn__">
+        <Child  type="TaharezGreenLook/ImageButton" nameSuffix="__auto_incbtn__">
             <Area>
                 <Dim type="LeftEdge" ><UnifiedDim scale="0.25" type="LeftEdge" /></Dim>
@@ -4275,5 +4275,5 @@
                     <AbsoluteDim value="-1">
                         <DimOperator op="Multiply">
-                            <ImageDim imageset="TaharezLook" image="VertScrollTop" dimension="Height">
+                            <ImageDim imageset="TaharezGreenLook" image="VertScrollTop" dimension="Height">
                                 <DimOperator op="Multiply">
                                     <AbsoluteDim value="0.5" />
@@ -4287,7 +4287,7 @@
                     <UnifiedDim scale="0.6" type="Width">
                         <DimOperator op="Multiply">
-                            <ImageDim imageset="TaharezLook" image="VertScrollUpNormal" dimension="Width">
+                            <ImageDim imageset="TaharezGreenLook" image="VertScrollUpNormal" dimension="Width">
                                 <DimOperator op="Divide">
-                                    <ImageDim imageset="TaharezLook" image="VertScrollUpNormal" dimension="Height"/>
+                                    <ImageDim imageset="TaharezGreenLook" image="VertScrollUpNormal" dimension="Height"/>
                                 </DimOperator>
                             </ImageDim>
@@ -4297,13 +4297,13 @@
             </Area>
             <VertAlignment type="BottomAligned" />
-            <Property name="NormalImage" value="set:TaharezLook image:VertScrollDownNormal" />
-            <Property name="HoverImage" value="set:TaharezLook image:VertScrollDownHover" />
-            <Property name="PushedImage" value="set:TaharezLook image:VertScrollDownNormal" />
+            <Property name="NormalImage" value="set:TaharezGreenLook image:VertScrollDownNormal" />
+            <Property name="HoverImage" value="set:TaharezGreenLook image:VertScrollDownHover" />
+            <Property name="PushedImage" value="set:TaharezGreenLook image:VertScrollDownNormal" />
         </Child>
-        <Child  type="TaharezLook/ImageButton" nameSuffix="__auto_decbtn__">
+        <Child  type="TaharezGreenLook/ImageButton" nameSuffix="__auto_decbtn__">
             <Area>
                 <Dim type="LeftEdge" ><UnifiedDim scale="0.25" type="LeftEdge" /></Dim>
                 <Dim type="TopEdge">
-                    <ImageDim imageset="TaharezLook" image="VertScrollTop" dimension="Height">
+                    <ImageDim imageset="TaharezGreenLook" image="VertScrollTop" dimension="Height">
                         <DimOperator op="Multiply">
                             <AbsoluteDim value="0.5" />
@@ -4315,7 +4315,7 @@
                     <UnifiedDim scale="0.6" type="Width">
                         <DimOperator op="Multiply">
-                            <ImageDim imageset="TaharezLook" image="VertScrollUpNormal" dimension="Width">
+                            <ImageDim imageset="TaharezGreenLook" image="VertScrollUpNormal" dimension="Width">
                                 <DimOperator op="Divide">
-                                    <ImageDim imageset="TaharezLook" image="VertScrollUpNormal" dimension="Height"/>
+                                    <ImageDim imageset="TaharezGreenLook" image="VertScrollUpNormal" dimension="Height"/>
                                 </DimOperator>
                             </ImageDim>
@@ -4324,9 +4324,9 @@
                 </Dim>
             </Area>
-            <Property name="NormalImage" value="set:TaharezLook image:VertScrollUpNormal" />
-            <Property name="HoverImage" value="set:TaharezLook image:VertScrollUpHover" />
-            <Property name="PushedImage" value="set:TaharezLook image:VertScrollUpNormal" />
+            <Property name="NormalImage" value="set:TaharezGreenLook image:VertScrollUpNormal" />
+            <Property name="HoverImage" value="set:TaharezGreenLook image:VertScrollUpHover" />
+            <Property name="PushedImage" value="set:TaharezGreenLook image:VertScrollUpNormal" />
         </Child>
-        <Child  type="TaharezLook/LargeVerticalScrollbarThumb" nameSuffix="__auto_thumb__">
+        <Child  type="TaharezGreenLook/LargeVerticalScrollbarThumb" nameSuffix="__auto_thumb__">
             <Area>
                 <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
@@ -4336,7 +4336,7 @@
                     <UnifiedDim scale="0.4" type="Width">
                         <DimOperator op="Multiply">
-                            <ImageDim imageset="TaharezLook" image="VertScrollThumbNormal" dimension="Height">
+                            <ImageDim imageset="TaharezGreenLook" image="VertScrollThumbNormal" dimension="Height">
                                 <DimOperator op="Divide">
-                                    <ImageDim imageset="TaharezLook" image="VertScrollThumbNormal" dimension="Width"/>
+                                    <ImageDim imageset="TaharezGreenLook" image="VertScrollThumbNormal" dimension="Width"/>
                                 </DimOperator>
                             </ImageDim>
@@ -4354,7 +4354,7 @@
                     <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
                 </Area>
-                <Image type="TopEdge" imageset="TaharezLook" image="VertScrollTop" />
-                <Image type="BottomEdge" imageset="TaharezLook" image="VertScrollBottom" />
-                <Image type="Background" imageset="TaharezLook" image="VertScrollMiddle" />
+                <Image type="TopEdge" imageset="TaharezGreenLook" image="VertScrollTop" />
+                <Image type="BottomEdge" imageset="TaharezGreenLook" image="VertScrollBottom" />
+                <Image type="Background" imageset="TaharezGreenLook" image="VertScrollMiddle" />
             </FrameComponent>
             <ImageryComponent>
@@ -4364,5 +4364,5 @@
                         <WidgetDim widget="__auto_decbtn__" dimension="Height">
                             <DimOperator op="Add">
-                                <ImageDim imageset="TaharezLook" image="VertScrollTop" dimension="Height">
+                                <ImageDim imageset="TaharezGreenLook" image="VertScrollTop" dimension="Height">
                                     <DimOperator op="Multiply">
                                         <AbsoluteDim value="0.5" />
@@ -4378,5 +4378,5 @@
                                 <WidgetDim widget="__auto_decbtn__" dimension="Height">
                                     <DimOperator op="Add">
-                                        <ImageDim imageset="TaharezLook" image="VertScrollTop" dimension="Height">
+                                        <ImageDim imageset="TaharezGreenLook" image="VertScrollTop" dimension="Height">
                                             <DimOperator op="Multiply">
                                                 <AbsoluteDim value="0.5" />
@@ -4389,5 +4389,5 @@
                     </Dim>
                 </Area>
-                <Image imageset="TaharezLook" image="VertScrollBarSegment" />
+                <Image imageset="TaharezGreenLook" image="VertScrollBarSegment" />
                 <VertFormat type="Tiled" />
             </ImageryComponent>
@@ -4409,8 +4409,8 @@
     <!--
     ***************************************************
-        TaharezLook/ImageButton
+        TaharezGreenLook/ImageButton
     ***************************************************
     -->
-    <WidgetLook name="TaharezLook/ImageButton">
+    <WidgetLook name="TaharezGreenLook/ImageButton">
         <PropertyDefinition name="NormalImage" initialValue="" redrawOnWrite="true" />
         <PropertyDefinition name="HoverImage" initialValue="" redrawOnWrite="true" />
@@ -4500,16 +4500,16 @@
     <!--
     ***************************************************
-        TaharezLook/ItemListbox
+        TaharezGreenLook/ItemListbox
     ***************************************************
     -->
-    <WidgetLook name="TaharezLook/ItemListbox">
+    <WidgetLook name="TaharezGreenLook/ItemListbox">
         <NamedArea name="ItemRenderArea">
             <Area>
-                <Dim type="LeftEdge" ><ImageDim imageset="TaharezLook" image="ListboxLeft" dimension="Width" /></Dim>
-                <Dim type="TopEdge" ><ImageDim imageset="TaharezLook" image="ListboxTop" dimension="Height" /></Dim>
+                <Dim type="LeftEdge" ><ImageDim imageset="TaharezGreenLook" image="ListboxLeft" dimension="Width" /></Dim>
+                <Dim type="TopEdge" ><ImageDim imageset="TaharezGreenLook" image="ListboxTop" dimension="Height" /></Dim>
                 <Dim type="RightEdge" >
                     <UnifiedDim scale="1" type="RightEdge">
                         <DimOperator op="Subtract">
-                            <ImageDim imageset="TaharezLook" image="ListboxRight" dimension="Width" />
+                            <ImageDim imageset="TaharezGreenLook" image="ListboxRight" dimension="Width" />
                         </DimOperator>
                     </UnifiedDim>
@@ -4518,5 +4518,5 @@
                     <UnifiedDim scale="1" type="BottomEdge">
                         <DimOperator op="Subtract">
-                            <ImageDim imageset="TaharezLook" image="ListboxBottom" dimension="Height" />
+                            <ImageDim imageset="TaharezGreenLook" image="ListboxBottom" dimension="Height" />
                         </DimOperator>
                     </UnifiedDim>
@@ -4526,10 +4526,10 @@
         <NamedArea name="ItemRenderAreaHScroll">
             <Area>
-                <Dim type="LeftEdge" ><ImageDim imageset="TaharezLook" image="ListboxLeft" dimension="Width" /></Dim>
-                <Dim type="TopEdge" ><ImageDim imageset="TaharezLook" image="ListboxTop" dimension="Height" /></Dim>
+                <Dim type="LeftEdge" ><ImageDim imageset="TaharezGreenLook" image="ListboxLeft" dimension="Width" /></Dim>
+                <Dim type="TopEdge" ><ImageDim imageset="TaharezGreenLook" image="ListboxTop" dimension="Height" /></Dim>
                 <Dim type="RightEdge" >
                     <UnifiedDim scale="1" type="RightEdge">
                         <DimOperator op="Subtract">
-                            <ImageDim imageset="TaharezLook" image="ListboxRight" dimension="Width" />
+                            <ImageDim imageset="TaharezGreenLook" image="ListboxRight" dimension="Width" />
                         </DimOperator>
                     </UnifiedDim>
@@ -4542,6 +4542,6 @@
         <NamedArea name="ItemRenderAreaVScroll">
             <Area>
-                <Dim type="LeftEdge" ><ImageDim imageset="TaharezLook" image="ListboxLeft" dimension="Width" /></Dim>
-                <Dim type="TopEdge" ><ImageDim imageset="TaharezLook" image="ListboxTop" dimension="Height" /></Dim>
+                <Dim type="LeftEdge" ><ImageDim imageset="TaharezGreenLook" image="ListboxLeft" dimension="Width" /></Dim>
+                <Dim type="TopEdge" ><ImageDim imageset="TaharezGreenLook" image="ListboxTop" dimension="Height" /></Dim>
                 <Dim type="RightEdge" >
                     <UnifiedDim scale="1" offset="-12" type="RightEdge" />
@@ -4550,5 +4550,5 @@
                     <UnifiedDim scale="1" type="BottomEdge">
                         <DimOperator op="Subtract">
-                            <ImageDim imageset="TaharezLook" image="ListboxBottom" dimension="Height" />
+                            <ImageDim imageset="TaharezGreenLook" image="ListboxBottom" dimension="Height" />
                         </DimOperator>
                     </UnifiedDim>
